      SUBROUTINE ARRAYINIT3(iarray,nstart,nend,mstart,mend,
     * lstart,lend)

C    ARRAYINIT INITIALIZES ALL ELEMENTS IN A TWO DIMENSIONAL
C    INTEGER ARRAY TO ZERO

      dimension iarray(nstart:nend,mstart:mend,lstart:lend)

      do 50 l=lstart,lend
       do 55 m=mstart,mend
        do 60 n=nstart,nend
       
         iarray(n,m,l)=0

60      continue
55     continue
50    continue


      return
      end
